// Realizar una solicitud AJAX para obtener los valores de sesión
$.ajax({
    type: "GET",
    url: "../../Controlador/Utilidades/Notifi_Agregar_Grifo.php",
    dataType: "json",

    success: function(response) {
        if (response.hasOwnProperty('grifo')) {
            var grifoNombre = response.grifo;

            Swal.fire({
                title: 'Grifo ' + grifoNombre,
                text: '¡Registrado Correctamente!',
                icon: 'success',
                showConfirmButton: false,
                timer: 1800
            });

            console.log("Grifo Registrado:: " + grifoNombre);

            // Eliminar la sesión para evitar que se repita la notificación
            $.ajax({
                type: "GET",
                url: "../../Controlador/Utilidades/DELATE_Notifi_Agregar_Grifo.php",
                dataType: "json",

                success: function(response) {
                    var mensaje = response.sesionGrifo || response.id_delate;
                    console.log("-> Mensaje Eliminación Sesión:", mensaje);
                },

                error: function(xhr, status, error) {
                    console.error("-> Error al eliminar sesión:", error);
                }
            });

        } else {
            console.log("-> Mensaje Error (Notifi_Agregar_Grifo):", response.error);
        }
    },

    error: function(xhr, status, error) {
        Swal.fire({
            title: 'Error',
            text: 'Error al obtener datos de la sesión del grifo.',
            icon: 'error',
            showConfirmButton: true
        });

        console.error("-> Error AJAX (Notifi_Agregar_Grifo):", error);
    }
});
